# class HTML5AudioContext

#### package lime.media

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`HAVE_CURRENT_DATA:Int = 2`

###

`HAVE_ENOUGH_DATA:Int = 4`

###

`HAVE_FUTURE_DATA:Int = 3`

###

`HAVE_METADATA:Int = 1`

###

`HAVE_NOTHING:Int = 0`

###

`NETWORK_EMPTY:Int = 0`

###

`NETWORK_IDLE:Int = 1`

###

`NETWORK_LOADING:Int = 2`

###

`NETWORK_NO_SOURCE:Int = 3`

### Methods

###

`canPlayType (buffer:AudioBuffer, type:String):String`

###

`createBuffer (?urlString:String):AudioBuffer`

###

`getAutoplay (buffer:AudioBuffer):Bool`

###

`getBuffered (buffer:AudioBuffer):Dynamic`

###

`getCurrentSrc (buffer:AudioBuffer):String`

###

`getCurrentTime (buffer:AudioBuffer):Float`

###

`getDefaultPlaybackRate (buffer:AudioBuffer):Float`

###

`getDuration (buffer:AudioBuffer):Float`

###

`getEnded (buffer:AudioBuffer):Bool`

###

`getError (buffer:AudioBuffer):Dynamic`

###

`getLoop (buffer:AudioBuffer):Bool`

###

`getMuted (buffer:AudioBuffer):Bool`

###

`getNetworkState (buffer:AudioBuffer):Int`

###

`getPaused (buffer:AudioBuffer):Bool`

###

`getPlaybackRate (buffer:AudioBuffer):Float`

###

`getPlayed (buffer:AudioBuffer):Dynamic`

###

`getPreload (buffer:AudioBuffer):String`

###

`getReadyState (buffer:AudioBuffer):Int`

###

`getSeekable (buffer:AudioBuffer):Dynamic`

###

`getSeeking (buffer:AudioBuffer):Bool`

###

`getSrc (buffer:AudioBuffer):String`

###

`getStartTime (buffer:AudioBuffer):Float`

###

`getVolume (buffer:AudioBuffer):Float`

###

`load (buffer:AudioBuffer):Void`

###

`pause (buffer:AudioBuffer):Void`

###

`play (buffer:AudioBuffer):Void`

###

`setAutoplay (buffer:AudioBuffer, value:Bool):Void`

###

`setCurrentTime (buffer:AudioBuffer, value:Float):Void`

###

`setDefaultPlaybackRate (buffer:AudioBuffer, value:Float):Void`

###

`setLoop (buffer:AudioBuffer, value:Bool):Void`

###

`setMuted (buffer:AudioBuffer, value:Bool):Void`

###

`setPlaybackRate (buffer:AudioBuffer, value:Float):Void`

###

`setPreload (buffer:AudioBuffer, value:String):Void`

###

`setSrc (buffer:AudioBuffer, value:String):Void`

###

`setVolume (buffer:AudioBuffer, value:Float):Void`